---
title: WeakMap.prototype.get()
slug: Web/JavaScript/Reference/Global_Objects/WeakMap/get
tags:
  - ECMAScript 2015
  - JavaScript
  - Method
  - Prototype
  - WeakMap
---
<div>{{JSRef}}</div>

<p>The <strong><code>get()</code></strong> method returns a specified element from a <code>WeakMap</code> object.</p>

<div>{{EmbedInteractiveExample("pages/js/weakmap-prototype-get.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>wm</var>.get(<var>key</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>key</var></code></dt>
 <dd>Required. The key of the element to return from the <code>WeakMap</code> object.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>The element associated with the specified key in the <code>WeakMap</code> object. If the key can't be found, {{jsxref("undefined")}} is returned.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_the_get_method">Using the get() method</h3>

<pre class="brush: js notranslate">var wm = new WeakMap();
wm.set(window, 'foo');

wm.get(window); // Returns "foo".
wm.get('baz');  // Returns undefined.
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-weakmap.prototype.get', 'WeakMap.prototype.get')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.WeakMap.get")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("WeakMap")}}</li>
 <li>{{jsxref("WeakMap.set()")}}</li>
 <li>{{jsxref("WeakMap.has()")}}</li>
</ul>
